Bug 1961538 - manifests: invalid namespace in ClusterRoleBinding makes CVO hotloop
Summary: manifests: invalid namespace in ClusterRoleBinding makes CVO hotloop
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.8
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.8.0
Assignee: Vadim Rutkovsky
QA Contact: Wei Duan
URL:
Whiteboard:
Depends On:
Blocks: 1961719
TreeView+ depends on / blocked
 
Reported: 2021-05-18 08:26 UTC by Vadim Rutkovsky
Modified: 2021-07-27 23:09 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 23:08:55 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-csi-snapshot-controller-operator pull 87 0 None closed Bug 1961538: manifests/05_operator_rbac: Drop the unused namespace property 2021-05-20 11:17:12 UTC
Github openshift cluster-storage-operator pull 168 0 None closed Bug 1961538: manifests: remove namespace from cluster-storage-operator-role binding 2021-05-18 22:29:21 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:09:17 UTC

Description Vadim Rutkovsky 2021-05-18 08:26:42 UTC
cluster-storage-operator-role ClusterRoleBinding sets "namespace", but its a cluster-wide resource. This makes CVO attempt to apply this manifest on every sync cycle

Comment 3 Wei Duan 2021-05-24 02:08:57 UTC
Verified pass on 4.8.0-0.nightly-2021-05-21-233425

Comment 6 errata-xmlrpc 2021-07-27 23:08:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.